# Google API Client Library required for GCDS

Google Java Client Services depends on the Google API Client Library for Java. \
Google API Client Library and Google Java Client Services' dependencies are included here. \
Google Java Client Services are included in [google-api-services](http://depot/googleclient/enterprise/gads/third_party/google-api-services).

## How to update Google Java Client Services' dependencies:

Please refer to [How to update Google Java Client Services' dependencies](http://depot/googleclient/enterprise/gads/third_party/google-api-services/README.md).

## Current set of Google Java Client Services' dependencies and Google Client Library in GCDS (Maven)

```xml
<!-- https://mvnrepository.com/artifact/com.google.api-client/google-api-client -->
<dependency>
  <groupId>com.google.api-client</groupId>
  <artifactId>google-api-client</artifactId>
  <version>1.34.0</version>
</dependency>

<!-- https://mvnrepository.com/artifact/com.google.oauth-client/google-oauth-client -->
<dependency>
  <groupId>com.google.oauth-client</groupId>
  <artifactId>google-oauth-client</artifactId>
  <version>1.33.3</version>
</dependency>

<!-- https://mvnrepository.com/artifact/com.google.oauth-client/google-oauth-client-jetty -->
<dependency>
 <groupId>com.google.oauth-client</groupId>
  <artifactId>google-oauth-client-jetty</artifactId>
  <version>1.33.3</version>
</dependency>
```

